QGIS Application - Bug report #9158
Ipad() and rpad() functions do not work in standard way
2013-12-03 01:17 PM - Lee Hachadoorian

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:2.0.1 Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17791
Description

In PostGIS and Oracle, Ipad('A', 5, 'x') produces 'xxxxA'. In the expression editor in QGIS, it produces 'Axxxx'. Similarly, rpad() adds extra
characters to the left, while PostGIS and Oracle add extra characters to the right.

| think the PostGIS way is the commonly understood behavior, since Ipad is supposed to mean "left pad" and rpad is supposed to mean
"right pad". QGIS should adopt the conventional behavior.

Related issues:
Related to QGIS Application - Bug report # 9388: rpad doesn't work Closed 2014-01-20

Associated revisions

Revision bc825b4b - 2013-12-03 10:37 PM - Jiirgen Fischer

fix Ipad/rpad (fixes #9158)

History

#1 - 2013-12-03 01:18 PM - Lee Hachadoorian

http://www.orafag.com/wiki/LPAD_and_RPAD

http://www.postgresql.org/docs/9.1/static/functions-string.html

#2 - 2013-12-03 01:38 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"bc825b4b46af8d8810abc4b5552921e891bf7bcf".

#3 - 2013-12-03 01:38 PM - Jiirgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.0.1

- Tracker changed from Feature request to Bug report
